dpkg-realpath(1)

NAMN
dpkg-realpath - skriv det lösta sökvägsnamnet med DPKG_ROOT-stöd

SYNOPS
dpkg-realpath [flagga...] sökvägsnamn

BESKRIVNING
dpkg-realpath är ett verktyg (sedan dpkg 1.20.1) för att analysera ett sökvägsnamn, som tar dpkg(1)-rotkatalogen i beaktning, antingen implicit från miljövariabeln DPKG_ROOT eller från kommandoradsflaggorna --root eller --instdir, och returnerar ett absolut sökvägsnamn relativt till rotkatalogen. Rotkatalogen får inte vara lagt in först i sökvägsnamn för att kunna lösas.

Detta är avsett att användas av andra dpkg-hjälpprogram, eller av utvecklarskript istället för att använda realpath(1) eller readlink(1) för att göra om sökvägsnamn till normalform, eftersom de sistnämnda kommandon inte stöder omvandling till normalform relativt till en annan rot än /.

Programmet introducerades i dpkg 1.20.1.

FLAGGOR

-<, --zero
    Använd en NUL-byte för att avsluta utdatarader istället för nyradstecknet (sedan dpkg 1.20.6).

--instdir katalog
--root katalog
    Ändra rotkatalogen till katalog, vilket är baskatalogen som sökvägsnamn görs om till normalform mot. Förval är ”/” om DPKG_ROOT inte har satts.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DPKG_ROOT
    Om satt och flaggan --instdir eller -root inte har angivits kommer det användas som filsystemets rotkatalog.

DPKG_COLORS
    Väljer färgläge. För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.22.7). Tillåtna värden är: 0 och 1 (förval).

SE ÄVEN
realpath(1), readlink(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.